Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles.uitest
Class UIDevice

    java.lang.Object
      |
      +--profiles.uitest.UIDevice

All Implemented Interfaces:
  Device

public class UIDevice
extends java.lang.Object
implements Device

Field Summary
`(package private) BasicService` | `basicService`
`static int` | `INTERNAL_RADIUS`
`(package private) ProfileMatcher` | `pMatcher`
`(package private) RoutingTable` | `rt`
`(package private) RoutingManager` | `rtMngr`

Constructor Summary
`(package private)` | `UIDevice()`
`` | `UIDevice(SimulationPanel bs, int posX, int posY, int radius)`

Method Summary
`void` | `destroy()`
`static UIDevice` | `fromString(java.lang.String str)`
`java.lang.String` | `getId()` Ottiene l'indirizzo (o identificativo) univoco del dispositivo.
`int` | `getPosX()`
`int` | `getPosY()`
`int` | `getRadius()`
`RoutingTable` | `getRoutingTable()` Ottiene la RoutingTable del dispositivo.
`boolean` | `isEnabled()`
`void` | `paint(java.awt.Graphics g)`
`(package private) static int` | `parseRoutingTable(java.lang.String str, RoutingTable rt)`
`(package private) static int` | `parseUIDevice(java.lang.String str, UIDevice dev)`
`void` | `receive(Message m)` Fornisce ad un dispositivo un messaggio (meccanismo publsh-subscribe).
`void` | `refresh(BasicService bs)` Aggiorna la RoutingTable del dispositivo.
`void` | `setEnabled(boolean enabled)`
`void` | `setPosX(int posX)`
`void` | `setPosY(int posY)`
`void` | `setRadius(int radius)`
`java.lang.String` | `toString()` Serializza il dispositivo in una stringa.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL_RADIUS

    public static final int INTERNAL_RADIUS

See Also:
  Constant Field Values

### basicService

    BasicService basicService

### rt

    RoutingTable rt

### rtMngr

    RoutingManager rtMngr

### pMatcher

    ProfileMatcher pMatcher

Constructor Detail

### UIDevice

    UIDevice()

### UIDevice

    public UIDevice(SimulationPanel bs,
                    int posX,
                    int posY,
                    int radius)

Method Detail

### paint

    public void paint(java.awt.Graphics g)

### getRadius

    public int getRadius()

### setRadius

    public void setRadius(int radius)

### getPosX

    public int getPosX()

### setPosX

    public void setPosX(int posX)

### getPosY

    public int getPosY()

### setPosY

    public void setPosY(int posY)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getId

    public java.lang.String getId()

  Description copied from interface: `Device`
  Ottiene l'indirizzo (o identificativo) univoco del dispositivo.

  Specified by:
    `getId` in interface `Device`
  Returns:
    l'identificativo univoco della periferica.

### getRoutingTable

    public RoutingTable getRoutingTable()

  Description copied from interface: `Device`
  Ottiene la RoutingTable del dispositivo.

  Specified by:
    `getRoutingTable` in interface `Device`
  Returns:

### refresh

    public void refresh(BasicService bs)

  Description copied from interface: `Device`
  Aggiorna la RoutingTable del dispositivo.

  Specified by:
    `refresh` in interface `Device`
  Parameters:
    `bs` - il servizio sottostante.

### receive

    public void receive(Message m)

  Description copied from interface: `Device`
  Fornisce ad un dispositivo un messaggio (meccanismo publsh-subscribe).

  Specified by:
    `receive` in interface `Device`
  Parameters:
    `m` - il messaggio.

### destroy

    public void destroy()

### toString

    public java.lang.String toString()

  Description copied from interface: `Device`
  Serializza il dispositivo in una stringa.

  Specified by:
    `toString` in interface `Device`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    una stringa che descrive il dispositivo.

### fromString

    public static UIDevice fromString(java.lang.String str)

### parseUIDevice

    static int parseUIDevice(java.lang.String str,
                             UIDevice dev)

### parseRoutingTable

    static int parseRoutingTable(java.lang.String str,
                                 RoutingTable rt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD